<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (13) on Sat Oct 17 19:40:09 CEST 2020 -->
<title>CompatibilityManagerImpl</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-17">
<meta name="description" content="declaration: package: Impl, class: CompatibilityManagerImpl">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CompatibilityManagerImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">Impl</a></div>
<h1 title="Class CompatibilityManagerImpl" class="title">Class CompatibilityManagerImpl</h1>
</div>
<div class="contentContainer">
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">Impl.CompatibilityCheckerImpl
<div class="inheritance">Impl.CompatibilityManagerImpl</div>
</div>
</div>
<section class="description">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code>Interface.CompatibilityChecker</code>, <code>Interface.CompatibilityManager</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">CompatibilityManagerImpl</span>
extends Impl.CompatibilityCheckerImpl
implements Interface.CompatibilityManager</pre>
</section>
<section class="summary">
<ul class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li class="blockList">
<section class="constructorSummary"><a id="constructor.summary">
<!--   -->
</a>
<h2>Constructor Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">CompatibilityManagerImpl</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addIncompatibilities(Interface.PartType,java.util.Set)">addIncompatibilities</a></span>&#8203;(Interface.PartType&nbsp;reference,
java.util.Set&lt;Interface.PartType&gt;&nbsp;target)</code></th>
<td class="colLast">
<div class="block">require : the target can't be in the reference's Requirements</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addRequirements(Interface.PartType,java.util.Set)">addRequirements</a></span>&#8203;(Interface.PartType&nbsp;reference,
java.util.Set&lt;Interface.PartType&gt;&nbsp;target)</code></th>
<td class="colLast">
<div class="block">require : the target can't be in the reference's Incompatibilities</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>java.util.Set&lt;Interface.PartType&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getIncompatibilities(Interface.PartType)">getIncompatibilities</a></span>&#8203;(Interface.PartType&nbsp;reference)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>java.util.Set&lt;Interface.PartType&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRequirements(Interface.PartType)">getRequirements</a></span>&#8203;(Interface.PartType&nbsp;reference)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#removeIncompatibility(Interface.PartType,Interface.PartType)">removeIncompatibility</a></span>&#8203;(Interface.PartType&nbsp;reference,
Interface.PartType&nbsp;target)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#removeRequirement(Interface.PartType,Interface.PartType)">removeRequirement</a></span>&#8203;(Interface.PartType&nbsp;reference,
Interface.PartType&nbsp;target)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a><code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li class="blockList">
<section class="constructorDetails"><a id="constructor.detail">
<!--   -->
</a>
<h2>Constructor Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;()">CompatibilityManagerImpl</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">CompatibilityManagerImpl</span>()</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="getIncompatibilities(Interface.PartType)">getIncompatibilities</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.util.Set&lt;Interface.PartType&gt;</span>&nbsp;<span class="memberName">getIncompatibilities</span>&#8203;(<span class="arguments">Interface.PartType&nbsp;reference)</span></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getIncompatibilities</code>&nbsp;in interface&nbsp;<code>Interface.CompatibilityChecker</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>getIncompatibilities</code>&nbsp;in class&nbsp;<code>Impl.CompatibilityCheckerImpl</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>reference</code> - The reference to get Incompatibility</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the set of Incompatible PartType</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getRequirements(Interface.PartType)">getRequirements</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.util.Set&lt;Interface.PartType&gt;</span>&nbsp;<span class="memberName">getRequirements</span>&#8203;(<span class="arguments">Interface.PartType&nbsp;reference)</span></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getRequirements</code>&nbsp;in interface&nbsp;<code>Interface.CompatibilityChecker</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>getRequirements</code>&nbsp;in class&nbsp;<code>Impl.CompatibilityCheckerImpl</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>reference</code> - The reference to get Requirements</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the set of Requiere PartType</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="addIncompatibilities(Interface.PartType,java.util.Set)">addIncompatibilities</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">addIncompatibilities</span>&#8203;(<span class="arguments">Interface.PartType&nbsp;reference,
java.util.Set&lt;Interface.PartType&gt;&nbsp;target)</span>
                          throws <span class="exceptions">Impl.ConflictingRuleException</span></div>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code>Interface.CompatibilityManager</code></span></div>
<div class="block">require : the target can't be in the reference's Requirements</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>addIncompatibilities</code>&nbsp;in interface&nbsp;<code>Interface.CompatibilityManager</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>reference</code> - the reference to add Incompatibilities</dd>
<dd><code>target</code> - the new Incompatibilities to add</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>Impl.ConflictingRuleException</code></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="removeIncompatibility(Interface.PartType,Interface.PartType)">removeIncompatibility</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">removeIncompatibility</span>&#8203;(<span class="arguments">Interface.PartType&nbsp;reference,
Interface.PartType&nbsp;target)</span></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>removeIncompatibility</code>&nbsp;in interface&nbsp;<code>Interface.CompatibilityManager</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>reference</code> - the reference to remove Incompatibilitie</dd>
<dd><code>target</code> - the Incompatibilitie to remove</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="addRequirements(Interface.PartType,java.util.Set)">addRequirements</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">addRequirements</span>&#8203;(<span class="arguments">Interface.PartType&nbsp;reference,
java.util.Set&lt;Interface.PartType&gt;&nbsp;target)</span>
                     throws <span class="exceptions">Impl.ConflictingRuleException</span></div>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code>Interface.CompatibilityManager</code></span></div>
<div class="block">require : the target can't be in the reference's Incompatibilities</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>addRequirements</code>&nbsp;in interface&nbsp;<code>Interface.CompatibilityManager</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>reference</code> - the reference to add Requirements</dd>
<dd><code>target</code> - the new Requirements to add</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>Impl.ConflictingRuleException</code></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="removeRequirement(Interface.PartType,Interface.PartType)">removeRequirement</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">removeRequirement</span>&#8203;(<span class="arguments">Interface.PartType&nbsp;reference,
Interface.PartType&nbsp;target)</span></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>removeRequirement</code>&nbsp;in interface&nbsp;<code>Interface.CompatibilityManager</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>reference</code> - the reference to remove Requirement</dd>
<dd><code>target</code> - the new Requirement to remove</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CompatibilityManagerImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
